#include "files.h"

void Files::openFile(const RunSettings& rs, const string extension, ofstream& f, int &ok)
{
  /* Opens a file for writing. */
  string filename;

  filename = rs.getFileRoot() + extension;
  if((ifstream(filename.c_str())) != NULL) {
    error << "Error: You probably do not wish to overwrite " << filename 
	  << endError;
    ok = 0;
  }
  f.open(filename.c_str());
  if(f.fail()) {
    error << "Error: Could not open " << filename << endError;
    ok = 0;
  }
}

